import { ParameterType, SchemaObject } from '@loopback/openapi-spec';
/**
 * Get openapi type name for a JavaScript type
 * @param type JavaScript type
 */
export declare function getTypeForNonBodyParam(type: Function): ParameterType;
/**
 * Get openapi schema for a JavaScript type for a body parameter
 * @param type JavaScript type
 */
export declare function getSchemaForBodyParam(type: Function): SchemaObject;
/**
 * Check if the given type is `stream.Readable` or a subclasses of
 * `stream.Readable`
 * @param type JavaScript type function
 */
export declare function isReadableStream(type: Object): boolean;
